Bug 7128 - logged in and logged out states of opac-main.tt are hard to style
Summary: logged in and logged out states of opac-main.tt are hard to style
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Liz Rea
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-01 19:09 UTC by Liz Rea
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7128 - adding some ID's to make styling opac-main.tt a bit easier (1.12 KB, patch)
2011-11-01 19:10 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7128 - adding some ID's to make styling opac-main.tt a bit easier (1.14 KB, patch)
2011-11-03 02:44 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7128 : Follow up, adding the id to the case when a user is not logged in (1.33 KB, patch)
2011-11-03 02:45 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed-off patches, squashed (1.65 KB, patch)
2011-11-04 19:19 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-11-01 19:09:16 UTC
It could use some ID's beyond the yui classes.
Comment 1 Liz Rea 2011-11-01 19:10:28 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-11-03 02:44:48 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2011-11-03 02:45:03 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2011-11-03 02:45:15 UTC
Liz your patch actually only sets the id for not logged in, when we don't allow login at all.

Rather than if people are just not logged in, I have attached a follow up patch, to add the id to the other case (and fixed the formatting to make it clearer) can you take a look at that please?
Comment 5 Owen Leonard 2011-11-04 19:19:34 UTC
Created attachment 6211 [details] [review]
Signed-off patches, squashed
Comment 6 Ian Walls 2011-11-05 02:00:46 UTC
Template only change, easy to read, marking as Passed QA.  Huzzah for more IDs!
Comment 7 Paul Poulain 2011-11-06 11:00:43 UTC
patch pushed, please test
Comment 8 Liz Rea 2011-11-07 14:39:00 UTC
ah, I see that now, thanks all!